SymetryML Documentation
Data sources

Add data source to project

Attach a data source to a project.

GET
/{user}/projects/{project}/addds/{dsName}

Attach a data source to a project.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

dsName*string

Data source name

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/projects/nbra_prj_iris/addds/nbra_ds_sftp_iris"
{  "statusCode": 200,  "statusString": "OK",  "values": {}}

{  "statusCode": 400,  "statusString": "Customer [c1]: no RTLM [UnknownRtlmId]",  "values": {}}